export function handlePieceMessage(context: import('./api.js').PieceMessageContext, message: import('./api.js').PieceMessage): Promise<{
    error: StoreOperationFailed;
    ok?: undefined;
} | {
    ok: {};
    error?: undefined;
}>;
export function handlePiecesInsert(context: import('./api.js').PieceInsertEventContext, records: import('./api.js').PieceRecord[]): Promise<({
    ok?: undefined;
} & {
    error: import("../types.js").StorePutError;
}) | {
    error: QueueOperationFailed;
    ok?: undefined;
} | {
    ok: {};
    error?: undefined;
}>;
export function handleBufferQueueMessage(context: import('./api.js').BufferMessageContext, records: import('./api.js').BufferMessage[]): Promise<{
    error: UnexpectedState | import("../types.js").StoreGetError;
    ok?: undefined;
} | {
    error: import("../types.js").QueueOperationError | import("../types.js").EncodeRecordFailed | import("../types.js").StoreOperationError;
    ok?: undefined;
} | {
    ok: {
        aggregatedPieces: number;
    };
    error?: undefined;
}>;
export function handleAggregateOfferMessage(context: import('./api.js').AggregateOfferMessageContext, message: import('./api.js').AggregateOfferMessage): Promise<({
    ok?: undefined;
} & {
    error: import("../types.js").StorePutError;
}) | {
    ok: {};
    error: undefined;
}>;
export function handleAggregateInsertToPieceAcceptQueue(context: import('./api.js').AggregateInsertEventToPieceAcceptQueueContext, record: import('./api.js').AggregateRecord): Promise<({
    ok?: undefined;
} & {
    error: import("../types.js").QueueAddError | RangeError;
}) | {
    error: UnexpectedState;
    ok?: undefined;
} | {
    ok: {};
    error?: undefined;
}>;
export function handlePieceAcceptMessage(context: import('./api.js').PieceAcceptMessageContext, message: import('./api.js').PieceAcceptMessage): Promise<({
    ok?: undefined;
} & {
    error: import("../types.js").StorePutError;
}) | {
    ok: {};
    error: undefined;
}>;
export function handleInclusionInsertToUpdateState(context: import('./api.js').InclusionInsertEventToUpdateState, record: Pick<import('./api.js').InclusionRecord, 'piece' | 'group'>): Promise<({
    ok?: undefined;
} & {
    error: import("../types.js").StoreGetError;
}) | {
    ok: {};
    error: undefined;
}>;
export function handleInclusionInsertToIssuePieceAccept(context: import('./api.js').InclusionInsertEventToIssuePieceAccept, record: Pick<import('./api.js').InclusionRecord, 'piece' | 'group'>): Promise<{
    error: import("@ucanto/interface").HandlerExecutionError | import("@ucanto/interface").Failure | import("@ucanto/interface").HandlerNotFound | import("@ucanto/interface").InvalidAudience | import("@ucanto/interface").Unauthorized;
    ok?: undefined;
} | {
    ok: {};
    error?: undefined;
}>;
export function handleAggregateInsertToAggregateOffer(context: import('./api.js').AggregateInsertEventToAggregateOfferContext, record: import('./api.js').AggregateRecord): Promise<{
    error: import("@ucanto/interface").HandlerExecutionError | import("@ucanto/interface").Failure | import("@ucanto/interface").HandlerNotFound | import("@ucanto/interface").InvalidAudience | import("@ucanto/interface").Unauthorized;
    ok?: undefined;
} | {
    ok: {};
    error?: undefined;
}>;
import { StoreOperationFailed } from '../errors.js';
import { QueueOperationFailed } from '../errors.js';
import { UnexpectedState } from '../errors.js';
//# sourceMappingURL=events.d.ts.map