/**
 * @param {import('./api.js').ServiceContext} context
 */
export function createService(context: import('./api.js').ServiceContext): {
    piece: {
        offer: Server.ServiceMethod<Server.API.Capability<"piece/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
            group: string;
        }, "piece" | "group">>, API.PieceOfferSuccess, any>;
        accept: Server.ServiceMethod<Server.API.Capability<"piece/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
            group: string;
        }, "piece" | "group">>, API.PieceAcceptSuccess, any>;
    };
};
export function pieceOffer({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"piece/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    piece: API.PieceLinkSchema;
    group: Server.Schema.StringSchema<string, unknown>;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.PieceOfferSuccess, API.PieceOfferFailure> | API.UcantoInterface.JoinBuilder<API.PieceOfferSuccess>>;
export function pieceAccept({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"piece/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    piece: API.PieceLinkSchema;
    group: Server.Schema.StringSchema<string, unknown>;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.PieceAcceptSuccess, API.PieceAcceptFailure> | API.UcantoInterface.JoinBuilder<API.PieceAcceptSuccess>>;
export function createServer(context: API.UcantoServerContext & import('./api.js').ServiceContext): Server.ServerView<{
    piece: {
        offer: Server.ServiceMethod<Server.API.Capability<"piece/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
            group: string;
        }, "piece" | "group">>, API.PieceOfferSuccess, any>;
        accept: Server.ServiceMethod<Server.API.Capability<"piece/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
            group: string;
        }, "piece" | "group">>, API.PieceAcceptSuccess, any>;
    };
}>;
export function connect({ id, channel, codec }: {
    id: API.UcantoInterface.Principal;
    channel: API.UcantoInterface.Transport.Channel<API.AggregatorService>;
    codec?: Server.OutboundCodec | undefined;
}): Server.ConnectionView<API.AggregatorService>;
import * as Server from '@ucanto/server';
import * as API from '../types.js';
//# sourceMappingURL=service.d.ts.map