import type { Signer } from '@ucanto/interface';
import { PieceLink } from '@web3-storage/data-segment';
import { Store, QueryableStore } from '../types.js';
export type DealStore = Store<DealRecordKey, DealRecord> & QueryableStore<DealRecordQueryByPiece, DealRecord>;
export interface ServiceContext {
    /**
     * Service signer
     */
    id: Signer;
    /**
     * Stores information about deals for a given aggregate piece CID.
     */
    dealStore: DealStore;
}
export interface DealRecord {
    piece: PieceLink;
    provider: string;
    dealId: number;
    expirationEpoch: number;
    source: string;
    insertedAt: string;
}
export interface DealRecordKey extends Pick<DealRecord, 'piece' | 'dealId'> {
}
export interface DealRecordQueryByPiece extends Pick<DealRecord, 'piece'> {
}
//# sourceMappingURL=api.d.ts.map