/**
 * @param {import('./api.js').ServiceContext} context
 */
export function createService(context: import('./api.js').ServiceContext): {
    deal: {
        info: Server.ServiceMethod<Server.API.Capability<"deal/info", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
        }, "piece">>, API.DealInfoSuccess, Server.API.Failure | (Server.API.Failure & API.DealNotFound)>;
    };
};
export function dealInfo({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"deal/info", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    piece: API.PieceLinkSchema;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.DealInfoSuccess, API.DealInfoFailure>>;
export function createServer(context: API.UcantoServerContext & import('./api.js').ServiceContext): Server.ServerView<{
    deal: {
        info: Server.ServiceMethod<Server.API.Capability<"deal/info", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
        }, "piece">>, API.DealInfoSuccess, Server.API.Failure | (Server.API.Failure & API.DealNotFound)>;
    };
}>;
export function connect({ id, channel, codec }: {
    id: API.UcantoInterface.Principal;
    channel: API.UcantoInterface.Transport.Channel<API.DealTrackerService>;
    codec?: Server.OutboundCodec | undefined;
}): Server.ConnectionView<API.DealTrackerService>;
export type DealDetails = import('@web3-storage/capabilities/types').DealDetails;
import * as Server from '@ucanto/server';
import * as API from '../types.js';
//# sourceMappingURL=service.d.ts.map