/**
 * @param {import('./api.js').ServiceContext} context
 */
export function createService(context: import('./api.js').ServiceContext): {
    aggregate: {
        offer: Server.ServiceMethod<Server.API.Capability<"aggregate/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            aggregate: API.PieceLink;
            pieces: Server.API.Link<unknown, number, number, 1>;
        }, "aggregate" | "pieces">>, API.AggregateOfferSuccess, any>;
        accept: Server.ServiceMethod<Server.API.Capability<"aggregate/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            aggregate: API.PieceLink;
            pieces: Server.API.Link<unknown, number, number, 0 | 1>;
        }, "aggregate" | "pieces">>, API.AggregateAcceptSuccess, Server.API.Failure & ({} | API.AggregateAcceptFailure)>;
    };
};
export function aggregateOffer({ capability, invocation }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"aggregate/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    aggregate: API.PieceLinkSchema;
    pieces: Server.Schema.Schema<Server.API.Link<unknown, number, number, 1>, any>;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.AggregateOfferSuccess, API.AggregateOfferFailure> | API.UcantoInterface.JoinBuilder<API.AggregateOfferSuccess>>;
export function aggregateAccept({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"aggregate/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    aggregate: API.PieceLinkSchema;
    pieces: Server.Schema.Schema<Server.API.Link<unknown, number, number, 0 | 1>, any>;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.AggregateAcceptSuccess, API.AggregateAcceptFailure>>;
export function createServer(context: API.UcantoServerContext & import('./api.js').ServiceContext): Server.ServerView<{
    aggregate: {
        offer: Server.ServiceMethod<Server.API.Capability<"aggregate/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            aggregate: API.PieceLink;
            pieces: Server.API.Link<unknown, number, number, 1>;
        }, "aggregate" | "pieces">>, API.AggregateOfferSuccess, any>;
        accept: Server.ServiceMethod<Server.API.Capability<"aggregate/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            aggregate: API.PieceLink;
            pieces: Server.API.Link<unknown, number, number, 0 | 1>;
        }, "aggregate" | "pieces">>, API.AggregateAcceptSuccess, Server.API.Failure & ({} | API.AggregateAcceptFailure)>;
    };
}>;
export function connect({ id, channel, codec }: {
    id: API.UcantoInterface.Principal;
    channel: API.UcantoInterface.Transport.Channel<API.DealerService>;
    codec?: Server.OutboundCodec | undefined;
}): Server.ConnectionView<API.DealerService>;
import * as Server from '@ucanto/server';
import * as API from '../types.js';
//# sourceMappingURL=service.d.ts.map