export const UnexpectedStateErrorName: "UnexpectedState";
export class UnexpectedState extends Server.Failure {
    get reason(): string;
    get name(): "UnexpectedState";
}
export const QueueOperationErrorName: "QueueOperationFailed";
export class QueueOperationFailed extends Server.Failure {
    get reason(): string;
    get name(): "QueueOperationFailed";
}
export const StoreOperationErrorName: "StoreOperationFailed";
export class StoreOperationFailed extends Server.Failure {
    get reason(): string;
    get name(): "StoreOperationFailed";
}
export const RecordNotFoundErrorName: "RecordNotFound";
export class RecordNotFound extends Server.Failure {
    get reason(): string;
    get name(): "RecordNotFound";
}
export const EncodeRecordErrorName: "EncodeRecordFailed";
export class EncodeRecordFailed extends Server.Failure {
    get reason(): string;
    get name(): "EncodeRecordFailed";
}
export const DecodeBlockOperationErrorName: "DecodeBlockOperationFailed";
export class DecodeBlockOperationFailed extends Server.Failure {
    get reason(): string;
    get name(): "DecodeBlockOperationFailed";
}
export const BlobNotFoundErrorName: "BlobNotFound";
export class BlobNotFound extends Server.Failure {
    get reason(): string;
    get name(): "BlobNotFound";
}
export const ComputePieceErrorName: "ComputePieceFailed";
export class ComputePieceFailed extends Error {
    get reason(): string;
    get name(): "ComputePieceFailed";
}
export const UnexpectedPieceErrorName: "UnexpectedPiece";
export class UnexpectedPiece extends Error {
    get reason(): string;
    get name(): "UnexpectedPiece";
}
export const UnsupportedCapabilityErrorName: "UnsupportedCapability";
export class UnsupportedCapability extends Server.Failure {
    /**
     * @param {object} source
     * @param {import('@ucanto/interface').Capability} source.capability
     */
    constructor({ capability: { with: subject, can } }: {
        capability: import('@ucanto/interface').Capability;
    });
    capability: {
        with: `${string}:${string}`;
        can: Server.API.Ability;
    };
    get name(): "UnsupportedCapability";
}
import * as Server from '@ucanto/server';
//# sourceMappingURL=errors.d.ts.map