/**
 * @param {import('./api.js').ServiceContext} context
 */
export function createService(context: import('./api.js').ServiceContext): {
    filecoin: {
        offer: Server.ServiceMethod<Server.API.Capability<"filecoin/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            content: Server.API.Link<unknown, number, number, 0 | 1>;
            piece: API.PieceLink;
        }, "piece" | "content">>, API.FilecoinOfferSuccess, any>;
        submit: Server.ServiceMethod<Server.API.Capability<"filecoin/submit", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            content: Server.API.Link<unknown, number, number, 0 | 1>;
            piece: API.PieceLink;
        }, "piece" | "content">>, API.FilecoinSubmitSuccess, any>;
        accept: Server.ServiceMethod<Server.API.Capability<"filecoin/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            content: Server.API.Link<unknown, number, number, 0 | 1>;
            piece: API.PieceLink;
        }, "piece" | "content">>, API.FilecoinAcceptSuccess, Server.API.Failure & ({} | API.FilecoinAcceptFailure)>;
        info: Server.ServiceMethod<Server.API.Capability<"filecoin/info", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
        }, "piece">>, API.FilecoinInfoSuccess, any>;
    };
};
export function filecoinOffer({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"filecoin/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    content: Server.Schema.Schema<Server.API.Link<unknown, number, number, 0 | 1>, any>;
    piece: API.PieceLinkSchema;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.FilecoinOfferSuccess, API.FilecoinOfferFailure> | API.UcantoInterface.JoinBuilder<API.FilecoinOfferSuccess>>;
export function filecoinSubmit({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"filecoin/submit", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    content: Server.Schema.Schema<Server.API.Link<unknown, number, number, 0 | 1>, any>;
    piece: API.PieceLinkSchema;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.FilecoinSubmitSuccess, API.FilecoinSubmitFailure> | API.UcantoInterface.JoinBuilder<API.FilecoinSubmitSuccess>>;
export function filecoinAccept({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"filecoin/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    content: Server.Schema.Schema<Server.API.Link<unknown, number, number, 0 | 1>, any>;
    piece: API.PieceLinkSchema;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.FilecoinAcceptSuccess, API.FilecoinAcceptFailure>>;
export function filecoinInfo({ capability }: API.Input<Server.TheCapabilityParser<Server.CapabilityMatch<"filecoin/info", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
    protocol: "did:";
}>, Server.Schema.InferStruct<{
    piece: API.PieceLinkSchema;
}>>>>, context: import('./api.js').ServiceContext): Promise<API.UcantoInterface.Result<API.FilecoinInfoSuccess, API.FilecoinInfoFailure> | API.UcantoInterface.JoinBuilder<API.FilecoinInfoSuccess>>;
export const ProofNotFoundName: "ProofNotFound";
export class ProofNotFound extends Server.Failure {
    get reason(): string;
    get name(): "ProofNotFound";
}
export function createServer(context: API.UcantoServerContext & import('./api.js').ServiceContext): Server.ServerView<{
    filecoin: {
        offer: Server.ServiceMethod<Server.API.Capability<"filecoin/offer", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            content: Server.API.Link<unknown, number, number, 0 | 1>;
            piece: API.PieceLink;
        }, "piece" | "content">>, API.FilecoinOfferSuccess, any>;
        submit: Server.ServiceMethod<Server.API.Capability<"filecoin/submit", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            content: Server.API.Link<unknown, number, number, 0 | 1>;
            piece: API.PieceLink;
        }, "piece" | "content">>, API.FilecoinSubmitSuccess, any>;
        accept: Server.ServiceMethod<Server.API.Capability<"filecoin/accept", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            content: Server.API.Link<unknown, number, number, 0 | 1>;
            piece: API.PieceLink;
        }, "piece" | "content">>, API.FilecoinAcceptSuccess, Server.API.Failure & ({} | API.FilecoinAcceptFailure)>;
        info: Server.ServiceMethod<Server.API.Capability<"filecoin/info", `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
            protocol: "did:";
        }>, Pick<{
            piece: API.PieceLink;
        }, "piece">>, API.FilecoinInfoSuccess, any>;
    };
}>;
export function connect({ id, channel, codec }: {
    id: API.UcantoInterface.Principal;
    channel: API.UcantoInterface.Transport.Channel<API.StorefrontService>;
    codec?: Server.OutboundCodec | undefined;
}): Server.ConnectionView<API.StorefrontService>;
import * as Server from '@ucanto/server';
import * as API from '../types.js';
//# sourceMappingURL=service.d.ts.map