/**
 * @param {Partial<{
 * filecoin: Partial<import('../../src/types.js').StorefrontService['filecoin']>
 * piece: Partial<import('../../src/types.js').AggregatorService['piece']>
 * aggregate: Partial<import('../../src/types.js').DealerService['aggregate']>
 * deal: Partial<import('../../src/types.js').DealTrackerService['deal']>
 * assert: Partial<import('@web3-storage/content-claims/server/service/api').AssertService>
 * }>} impl
 */
export function mockService(impl: Partial<{
    filecoin: Partial<import('../../src/types.js').StorefrontService['filecoin']>;
    piece: Partial<import('../../src/types.js').AggregatorService['piece']>;
    aggregate: Partial<import('../../src/types.js').DealerService['aggregate']>;
    deal: Partial<import('../../src/types.js').DealTrackerService['deal']>;
    assert: Partial<import('@web3-storage/content-claims/server/service/api').AssertService>;
}>): {
    filecoin: {
        offer: {
            (input: Server.API.Invocation<{
                can: "filecoin/offer";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1>;
                    piece: import("../../src/types.js").PieceLink;
                }, "piece" | "content"> & Partial<Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1>;
                    piece: import("../../src/types.js").PieceLink;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
        submit: {
            (input: Server.API.Invocation<{
                can: "filecoin/submit";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1>;
                    piece: import("../../src/types.js").PieceLink;
                }, "piece" | "content"> & Partial<Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1>;
                    piece: import("../../src/types.js").PieceLink;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
        accept: {
            (input: Server.API.Invocation<{
                can: "filecoin/accept";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1>;
                    piece: import("../../src/types.js").PieceLink;
                }, "piece" | "content"> & Partial<Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1>;
                    piece: import("../../src/types.js").PieceLink;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
        info: {
            (input: Server.API.Invocation<{
                can: "filecoin/info";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    piece: import("../../src/types.js").PieceLink;
                }, "piece"> & Partial<Pick<{
                    piece: import("../../src/types.js").PieceLink;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    piece: {
        offer: {
            (input: Server.API.Invocation<{
                can: "piece/offer";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    piece: import("../../src/types.js").PieceLink;
                    group: string;
                }, "piece" | "group"> & Partial<Pick<{
                    piece: import("../../src/types.js").PieceLink;
                    group: string;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
        accept: {
            (input: Server.API.Invocation<{
                can: "piece/accept";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    piece: import("../../src/types.js").PieceLink;
                    group: string;
                }, "piece" | "group"> & Partial<Pick<{
                    piece: import("../../src/types.js").PieceLink;
                    group: string;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    aggregate: {
        offer: {
            (input: Server.API.Invocation<{
                can: "aggregate/offer";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    aggregate: import("../../src/types.js").PieceLink;
                    pieces: Server.API.Link<unknown, number, number, 1>;
                }, "aggregate" | "pieces"> & Partial<Pick<{
                    aggregate: import("../../src/types.js").PieceLink;
                    pieces: Server.API.Link<unknown, number, number, 1>;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
        accept: {
            (input: Server.API.Invocation<{
                can: "aggregate/accept";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    aggregate: import("../../src/types.js").PieceLink;
                    pieces: Server.API.Link<unknown, number, number, 0 | 1>;
                }, "aggregate" | "pieces"> & Partial<Pick<{
                    aggregate: import("../../src/types.js").PieceLink;
                    pieces: Server.API.Link<unknown, number, number, 0 | 1>;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    deal: {
        info: {
            (input: Server.API.Invocation<{
                can: "deal/info";
                with: `did:${string}:${string}` & `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    piece: import("../../src/types.js").PieceLink;
                }, "piece"> & Partial<Pick<{
                    piece: import("../../src/types.js").PieceLink;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    assert: {
        equals: {
            (input: Server.API.Invocation<{
                can: "assert/equals";
                with: `did:${string}` & Server.API.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`;
                nb: Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1> | Server.Schema.InferStruct<{
                        digest: Server.Schema.Schema<Uint8Array, unknown>;
                    }>;
                    equals: Server.API.Link<unknown, number, number, 0 | 1>;
                }, "content" | "equals"> & Partial<Pick<{
                    content: Server.API.Link<unknown, number, number, 0 | 1> | Server.Schema.InferStruct<{
                        digest: Server.Schema.Schema<Uint8Array, unknown>;
                    }>;
                    equals: Server.API.Link<unknown, number, number, 0 | 1>;
                }, never>>;
            }>, context: Server.InvocationContext): any;
            /** @type {any[]} */
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
};
import * as Server from '@ucanto/server';
//# sourceMappingURL=mocks.d.ts.map