/**
 * @template T
 * @implements {API.Queue<T>}
 */
export class Queue<T> implements API.Queue<T> {
    /**
     * @param {object} [options]
     * @param {(message: T) => void} [options.onMessage]
     */
    constructor(options?: {
        onMessage?: ((message: T) => void) | undefined;
    } | undefined);
    /** @type {Set<T>} */
    items: Set<T>;
    onMessage: (message: T) => void;
    /**
     * @param {T} record
     */
    add(record: T): Promise<{
        ok: {};
    }>;
}
/**
 * @template T
 * @implements {API.Queue<T>}
 */
export class FailingQueue<T> implements API.Queue<T> {
    /**
     * @param {T} record
     */
    add(record: T): Promise<{
        error: QueueOperationFailed;
    }>;
}
import * as API from '../../src/types.js';
//# sourceMappingURL=queue.d.ts.map