/**
 * Mocked w3filecoin services
 */
export function getMockService(): {
    filecoin: {
        offer: {
            (input: Client.Invocation<{
                can: "filecoin/offer";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1>;
                    piece: API.PieceLink;
                }, "piece" | "content"> & Partial<Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1>;
                    piece: API.PieceLink;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
        submit: {
            (input: Client.Invocation<{
                can: "filecoin/submit";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1>;
                    piece: API.PieceLink;
                }, "piece" | "content"> & Partial<Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1>;
                    piece: API.PieceLink;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
        accept: {
            (input: Client.Invocation<{
                can: "filecoin/accept";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1>;
                    piece: API.PieceLink;
                }, "piece" | "content"> & Partial<Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1>;
                    piece: API.PieceLink;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
        info: {
            (input: Client.Invocation<{
                can: "filecoin/info";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    piece: API.PieceLink;
                }, "piece"> & Partial<Pick<{
                    piece: API.PieceLink;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    piece: {
        offer: {
            (input: Client.Invocation<{
                can: "piece/offer";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    piece: API.PieceLink;
                    group: string;
                }, "piece" | "group"> & Partial<Pick<{
                    piece: API.PieceLink;
                    group: string;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
        accept: {
            (input: Client.Invocation<{
                can: "piece/accept";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    piece: API.PieceLink;
                    group: string;
                }, "piece" | "group"> & Partial<Pick<{
                    piece: API.PieceLink;
                    group: string;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    aggregate: {
        offer: {
            (input: Client.Invocation<{
                can: "aggregate/offer";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    aggregate: API.PieceLink;
                    pieces: Client.Link<unknown, number, number, 1>;
                }, "aggregate" | "pieces"> & Partial<Pick<{
                    aggregate: API.PieceLink;
                    pieces: Client.Link<unknown, number, number, 1>;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
        accept: {
            (input: Client.Invocation<{
                can: "aggregate/accept";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    aggregate: API.PieceLink;
                    pieces: Client.Link<unknown, number, number, 0 | 1>;
                }, "aggregate" | "pieces"> & Partial<Pick<{
                    aggregate: API.PieceLink;
                    pieces: Client.Link<unknown, number, number, 0 | 1>;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    deal: {
        info: {
            (input: Client.Invocation<{
                can: "deal/info";
                with: `did:${string}:${string}` & `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    piece: API.PieceLink;
                }, "piece"> & Partial<Pick<{
                    piece: API.PieceLink;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
    assert: {
        equals: {
            (input: Client.Invocation<{
                can: "assert/equals";
                with: `did:${string}` & Client.Phantom<{
                    protocol: "did:";
                }> & `${string}:${string}`; /** @type {import('@web3-storage/data-segment').MerkleTreePath} */
                nb: Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1> | Client.Schema.InferStruct<{
                        digest: Client.Schema.Schema<Uint8Array, unknown>;
                    }>;
                    equals: Client.Link<unknown, number, number, 0 | 1>;
                }, "content" | "equals"> & Partial<Pick<{
                    content: Client.Link<unknown, number, number, 0 | 1> | Client.Schema.InferStruct<{
                        digest: Client.Schema.Schema<Uint8Array, unknown>;
                    }>;
                    equals: Client.Link<unknown, number, number, 0 | 1>;
                }, never>>;
            }>, context: Client.InvocationContext): any;
            _params: any[];
            called: boolean;
            callCount: number;
        };
    };
};
/**
 * @param {any} service
 * @param {any} id
 */
export function getConnection(id: any, service: any): {
    connection: Client.ConnectionView<any>;
};
export { getStoreImplementations } from "./store-implementations.js";
export { getQueueImplementations } from "./queue-implementations.js";
//# sourceMappingURL=service.d.ts.map